package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 告警保护方案-保护前提设置
 */
public class ProtectionSettingVo {
    /** 设备 */
    private String deviceId;

    /** 设备名称 */
    private String deviceName;

    /** 点位 */
    private String point;

    /** 点位名称 */
    private String pointName;

    /** 故障值 */
    private BigDecimal faultValue;

    /** 故障值比较方式 如"<="、"<"、"=="、">="、">" */
    private String faultOperator;

    /** 释放值 */
    private BigDecimal releaseValue;

    /** 释放值比较方式 如"<="、"<"、"=="、">="、">"*/
    private String releaseOperator;

    /** 与下一点位关系: && 、|| */
    private String relationNext;

    /** 设备类型 */
    private String deviceCategory;

    /** 设备类型名称 */
    private String categoryName;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getPoint() {
        return point;
    }

    public void setPoint(String point) {
        this.point = point;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public BigDecimal getFaultValue() {
        return faultValue;
    }

    public void setFaultValue(BigDecimal faultValue) {
        this.faultValue = faultValue;
    }

    public String getFaultOperator() {
        return faultOperator;
    }

    public void setFaultOperator(String faultOperator) {
        this.faultOperator = faultOperator;
    }

    public BigDecimal getReleaseValue() {
        return releaseValue;
    }

    public void setReleaseValue(BigDecimal releaseValue) {
        this.releaseValue = releaseValue;
    }

    public String getReleaseOperator() {
        return releaseOperator;
    }

    public void setReleaseOperator(String releaseOperator) {
        this.releaseOperator = releaseOperator;
    }

    public String getRelationNext() {
        return relationNext;
    }

    public void setRelationNext(String relationNext) {
        this.relationNext = relationNext;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
}
